# frozen_string_literal: true

require_relative './base'

module Ssz
  class BitVictor < Base
    def initialize(bits, capacity:)
      @capacity = capacity
      @bits = bits
    end

    def serialize
      ByteBuffer.from_bit_array(@bits.map{|b| b ? 1 : 0}).serialize
    end
  end
end
