# frozen_string_literal: true

require_relative './base'

module Ssz
  class Boolean < Base
    def initialize(bool)
      @bool = bool
    end

    def serialize
      Array(@bool ? 1 : 0).pack("C")
    end

    def size
      1
    end
  end
end
